Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002943Zandronum[All Projects] Bugpublic2016-12-03 13:002017-05-23 02:13
ReporterLance 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002943: Secrets attainable through coop spy
DescriptionIf you're to coop spy someone while in or about to enter a secret sector, it will count the secret found on your client, even if you've not actually been there
Attached Files

- Relationships
duplicate of 0002425resolvedZalewa Automap's secrets counter gets incremented even when someone else discovers the secret in multiplayer game. 

-  Notes
User avatar (0016526)
Zalewa (developer)
2016-12-18 16:15

Indirectly fixed by this pull request:
https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/178/fixed-problems-with-secrets-clientside/ [^] [^]

In multiplayer, players will be informed through the chat area about the secret being discovered by a player, and also the global discovered secrets counter seems to be the correct behavior.
User avatar (0017704)
Zalewa (developer)
2017-05-17 16:58
edited on: 2017-05-17 16:58

Eventually, we fixed this differently. As Torr suggested, I altered the code to match ZDoom behavior. Now if another player discovers the secret, it will be discovered for you no matter if you are spectating this other player or not. You will of course be only directly notified if you spectate, and the message in the chat area was removed in the end. Moreover, and strangely, ZDoom also marks secrets as discovered if enemy in deathmatch discovers it, so Zandronum will do this as well.

User avatar (0017745)
Ru5tK1ng (updater)
2017-05-23 02:13

Seems to update properly when coopspying as a player in game or as a spectator. Everything seems to update for new clients as well.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-12-03 13:00 Lance New Issue
2016-12-03 14:20 Zalewa Relationship added duplicate of 0002425
2016-12-18 14:53 Zalewa Assigned To => Zalewa
2016-12-18 14:53 Zalewa Status new => assigned
2016-12-18 16:15 Zalewa Note Added: 0016526
2016-12-18 16:15 Zalewa Status assigned => needs review
2017-05-17 16:58 Zalewa Note Added: 0017704
2017-05-17 16:58 Zalewa Note Edited: 0017704 View Revisions
2017-05-17 16:58 Zalewa Note Edited: 0017704 View Revisions
2017-05-20 11:15 Torr Samaho Status needs review => needs testing
2017-05-23 02:13 Ru5tK1ng Note Added: 0017745
2017-05-23 02:13 Ru5tK1ng Status needs testing => resolved
2017-05-23 02:13 Ru5tK1ng Resolution open => fixed
2017-05-23 02:13 Ru5tK1ng Product Version => 3.0-beta
2017-05-23 02:13 Ru5tK1ng Fixed in Version => 3.0
2017-05-23 02:13 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker